#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define si short int
#define vi vector<ll>
#define vii vector<vi>
ll nadji(ll red[], ll kolone[], bool r, bool k, ll index, ll n);


int main(void)
{
    ll n;
    cin>>n;
    ll red[n+2]= {0},kolone[n+2]= {0};
    ///////////////////////////////////////////////////////////
    ///da ne zaboravim da mi je niz od 111111111111111111111111
    ///////////////////////////////////////////////////////////
    for(ll i=0; i<n; i++)
    {
        ll x,y;
        cin>>x>>y;
        red[x]++;
        kolone[y]++;
    }
    //for(ll i=1;i<=n;i++)
       // cout<<red[i]<<' '<<kolone[i]<<endl;
    ll brc=0;
    for(ll i=1; i<=n; i++)
    {
        bool r = (red[i]==0)?false:true;
        bool k = (kolone[i]==0)?false:true;
        //cout<<r<<' '<<k<<endl;
        brc+=nadji(red,kolone,r,k,i,n+1);
    }
    cout<<brc;
}

ll nadji(ll red[], ll kolone[], bool r, bool k, ll index, ll n)
{
    ll levo=index-1;
    ll ukupno=0;
    bool flag1=r, flag2=k;
    while(levo>=1 && (flag1==false || flag2==false))
    {
        //cout<<"uso";
        if(!flag1)
        {
            if(red[levo]>=2)
            {
                //cout<<"red levo"<<endl;
                red[levo]--;
                red[index]++;
                flag1=true;
                ukupno+=index-levo;
            }
        }
        if(!flag2)
        {
            if(kolone[levo]>=2)
            {
                //cout<<"kolone levo"<<endl;
                kolone[levo]--;
                kolone[index]++;
                flag2=true;
                ukupno+=index-levo;
            }
        }
        levo--;
    }
    if(flag1 && flag2)
        return ukupno;
    ll desno=index+1;
    while(desno<=n && (!flag1 || !flag2))
    {
        if(!flag1)
        {
            if(red[desno]>=2)
            {
                //cout<<"red desno"<<endl;
                red[desno]--;
                red[index]++;
                flag1=true;
                ukupno+=desno-index;
            }
        }
        if(!flag2)
        {
            if(kolone[desno]>=2)
            {
                //cout<<"kolone desno"<<endl;
                kolone[desno]--;
                kolone[index]++;
                flag2=true;
                ukupno+=desno-index;
            }
        }
        desno++;
    }
    //cout<<ukupno<<endl;
    return ukupno;
}